List endpoints
Use the returned id values as endpointIds when launching a pentest.
Requires the inventory:read API key scope.
Authentication
AuthorizationBearer
A workspace API key, sent as Authorization: Bearer.
OR
x-api-keystring
A workspace API key, sent as x-api-key.
Path parameters
appId
Application UUID.
Query parameters
type
limit
Page size. Defaults to 100.
offset
Results to skip.
Response
A page of the application’s endpoints.
endpoints
hasMore
limit
offset
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error